
#include "http.h"
#include "web-add.h"
#include "web-nav-this.h"

void WebHomeHtml()
{
    HttpOk("text/html; charset=UTF-8", "no-cache", NULL, NULL);
    WebAddHeader("Home", "settings.css", "home.js");
    WebAddNav(HOME_PAGE);
    WebAddH1("Home");
    
    WebAddH2("Status");
    WebAddAjaxLed("RTC is set"           , "ajax-rtc-set"    );
    WebAddAjaxLed("Clock is set"         , "ajax-clock-set"  );
    WebAddAjaxLed("PPS is stable"        , "ajax-pps-stable" );
    WebAddAjaxLed("Rate synchronised"    , "ajax-rate-locked");
    WebAddAjaxLed("Time synchronised"    , "ajax-time-locked");
    WebAddAjaxLed("NMEA is stable"       , "ajax-nmea-stable");

    WebAddH2("Server UTC time");
    HttpAddText("<div id='ajax-date-utc'></div>\r\n");

    WebAddH2("Server local time");
    HttpAddText("<div id='ajax-date-pc'></div>\r\n");
    
    WebAddH2("Server - PC (ms)");
    HttpAddText("<div id='ajax-date-diff'></div>\r\n");    
    
    WebAddH2("UTC");
    WebAddAjaxInputToggle("Enable epoch change"      ,    "ajax-leap-enable"  , "chg-clock-leap-enable" );
    WebAddAjaxInputToggle("Direction of next epoch"  ,    "ajax-leap-forward" , "chg-clock-leap-forward");
    WebAddAjaxInput      ("Year next epoch starts"   , 5, "ajax-leap-year"    , "set-clock-leap-year"   );
    WebAddAjaxInput      ("Month next epoch starts"  , 5, "ajax-leap-month"   , "set-clock-leap-month"  );
    WebAddAjaxInput      ("Current era offset"       , 5, "ajax-leap-count"   , "set-clock-leap-count"  );

    HttpAddText("<div><button type='button' onclick='displayLeap()'>Display Leap</button></div>\r\n");
    
    HttpAddText("<div>The leap seconds list is available <a href='https://www.ietf.org/timezones/data/leap-seconds.list' target='_blank'>here</a></div>\r\n");

    WebAddEnd();
}
